| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # PSVIAttributeList Class Reference A container for the PSVI contributions to attributes that occur on a particular element. More... Inheritance diagram for PSVIAttributeList: [legend] List of all members.
## Public Member Functions
Constructors
| PSVIAttributeList (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~PSVIAttributeList ()
PSVIAttributeList methods
unsigned int | getLength () const
PSVIAttribute * | getAttributePSVIAtIndex (const unsigned int index)
const XMLCh * | getAttributeNameAtIndex (const unsigned int index)
const XMLCh * | getAttributeNamespaceAtIndex (const unsigned int index)
PSVIAttribute * | getAttributePSVIByName (const XMLCh *attrName, const XMLCh *attrNamespace)
PSVIAttribute * | getPSVIAttributeToFill (const XMLCh *attrName, const XMLCh *attrNS)
| methods needed by implementation
void | reset ()
| reset the list
## Detailed Description A container for the PSVI contributions to attributes that occur on a particular element. This is always owned by the parser/validator from which it is obtained. The parser/validator will specify under what conditions it may be relied upon to have meaningful contents. ## Constructor & Destructor Documentation
PSVIAttributeList::PSVIAttributeList | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
  The default constructor. Parameters:
  | manager | The configurable memory manager
PSVIAttributeList::~PSVIAttributeList | ( |  | ) |
## Member Function Documentation
unsigned int PSVIAttributeList::getLength | ( |  | ) | const
PSVIAttribute* PSVIAttributeList::getAttributePSVIAtIndex | ( | const unsigned int | index | ) |
const XMLCh* PSVIAttributeList::getAttributeNameAtIndex | ( | const unsigned int | index | ) |
const XMLCh* PSVIAttributeList::getAttributeNamespaceAtIndex | ( | const unsigned int | index | ) |
PSVIAttribute* PSVIAttributeList::getAttributePSVIByName | ( | const XMLCh * | attrName,
|  | const XMLCh * | attrNamespace |
| ) |  |  |
PSVIAttribute * PSVIAttributeList::getPSVIAttributeToFill | ( | const XMLCh * | attrName,
|  | const XMLCh * | attrNS |
| ) |  |  |
  methods needed by implementation returns a PSVI attribute of undetermined state and given name/namespace and makes that object part of the internal list. Intended to be called during validation of an element. Parameters:
  | attrName | name of this attribute
  | attrNS | URI of the attribute
Returns: new, uninitialized, PSVIAttribute object
void PSVIAttributeList::reset | ( |  | ) |
reset the list The documentation for this class was generated from the following file: PSVIAttributeList.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.